#include "libc.c"

short
printf2(fmt)
char * fmt;
{
   char * ptr;
   ptr = fmt;
   while(*ptr != '\0') {
      if(*ptr == '%') 
         putc('Z');
      putc(*ptr);
      ptr++;
   }
   return 0;
}

short
main()
{
   printf2("HELLO, WORLD ID=%d!\r\n",101);
   return 0;
}

